# Uses of Enum
org.eclipse.birt.chart.model.attribute.TriggerCondition

Packages that use TriggerCondition
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of TriggerCondition in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type TriggerCondition
Modifier and Type
Method
Description
`Trigger`
GObjectFactory.`createTrigger(TriggerCondition tc, Action a)`
`Trigger`
IGObjectFactory.`createTrigger(TriggerCondition tc, Action a)`

## Uses of TriggerCondition in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type TriggerCondition
Modifier and Type
Method
Description
`Action`
InteractionEvent.`getAction(TriggerCondition tc)`

## Uses of TriggerCondition in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type TriggerCondition
Modifier and Type
Field
Description
`static final List<TriggerCondition>`
TriggerCondition.`VALUES`
A public read-only list of all the 'Trigger Condition' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return TriggerCondition
Modifier and Type
Method
Description
`static TriggerCondition`
TriggerCondition.`get(int value)`
Returns the 'Trigger Condition' literal with the specified integer value.
`static TriggerCondition`
TriggerCondition.`get(String literal)`
Returns the 'Trigger Condition' literal with the specified literal value.
`static TriggerCondition`
TriggerCondition.`getByName(String name)`
Returns the 'Trigger Condition' literal with the specified name.
`static TriggerCondition`
TriggerCondition.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TriggerCondition[]`
TriggerCondition.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of TriggerCondition in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return TriggerCondition
Modifier and Type
Method
Description
`TriggerCondition`
AttributeFactoryImpl.`createTriggerConditionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TriggerCondition`
AttributeFactoryImpl.`createTriggerConditionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of TriggerCondition in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return TriggerCondition
Modifier and Type
Method
Description
`TriggerCondition`
Trigger.`getCondition()`
Returns the value of the 'Condition' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type TriggerCondition
Modifier and Type
Method
Description
`void`
Trigger.`setCondition(TriggerCondition value)`
Sets the value of the '`Condition`' attribute.

## Uses of TriggerCondition in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return TriggerCondition
Modifier and Type
Method
Description
`TriggerCondition`
TriggerImpl.`getCondition()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type TriggerCondition
Modifier and Type
Method
Description
`static final Trigger`
TriggerImpl.`create(TriggerCondition tc, Action a)`
This convenience method initializes and provides a trigger instance for use NOTE: Manually written
`void`
TriggerImpl.`setCondition(TriggerCondition newCondition)`